Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder.wmf.tosvg
Class WMFHeaderProperties

    java.lang.Object
      org.apache.batik.transcoder.wmf.tosvg.AbstractWMFReader
          org.apache.batik.transcoder.wmf.tosvg.WMFHeaderProperties

    public class WMFHeaderProperties

extends AbstractWMFReader

This class holds simple properties about a WMF Metafile. It can be used whenever general information must be retrieved about this file.

Field Summary
`static int` | `BRUSH`
`static int` | `FONT`
`static int` | `NULL_BRUSH`
`static int` | `NULL_PEN`
`static int` | `OBJ_BITMAP`
`static int` | `OBJ_REGION`
`static int` | `PALETTE`
`static int` | `PEN`
`protected DataInputStream` | `stream`

Fields inherited from class org.apache.batik.transcoder.wmf.tosvg.AbstractWMFReader
`bottom, bReading, height, inch, isAldus, isotropic, lastObjectIdx, left, MM_PER_PIXEL, mtHeaderSize, mtMaxRecord, mtNoObjects, mtNoParameters, mtSize, mtType, mtVersion, numObjects, objectVector, PIXEL_PER_INCH, right, scaleX, scaleXY, scaleY, top, vpH, vpW, vpX, vpY, width, windowHeight, windowWidth, xSign, ySign`

Constructor Summary
`WMFHeaderProperties()` Creates a new WMFHeaderProperties, with no associated file.
`WMFHeaderProperties(File wmffile)` Creates a new WMFHeaderProperties, and sets the associated WMF File.

Method Summary
`void` | `closeResource()`
`int` | `getHeightBoundsPixels()`
`int` | `getHeightBoundsUnits()`
`DataInputStream` | `getStream()` Get the associated stream.
`int` | `getWidthBoundsPixels()`
`int` | `getWidthBoundsUnits()`
`int` | `getXOffset()`
`int` | `getYOffset()`
`protected boolean` | `readRecords(DataInputStream is)` Read this InputStream records.
`void` | `reset()` Resets the internal storage and viewport coordinates.
`void` | `setFile(File wmffile)` Creates the properties associated file.

Methods inherited from class org.apache.batik.transcoder.wmf.tosvg.AbstractWMFReader
`addObject, addObjectAt, getBottomUnits, getHeightPixels, getHeightUnits, getLeftUnits, getMetaFileUnitsPerInch, getNumObjects, getObject, getPixelsPerUnit, getRectangleInch, getRectanglePixel, getRectangleUnits, getRightUnits, getTopUnits, getUnitsToPixels, getViewportHeightInch, getViewportHeightUnits, getViewportWidthInch, getViewportWidthUnits, getVpH, getVpHFactor, getVpW, getVpWFactor, getWidthPixels, getWidthUnits, getXSign, getYSign, isReading, read, readInt, readShort, setReading`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stream

    protected DataInputStream stream

### PEN

    public static final int PEN

See Also:
  Constant Field Values

### BRUSH

    public static final int BRUSH

See Also:
  Constant Field Values

### FONT

    public static final int FONT

See Also:
  Constant Field Values

### NULL_PEN

    public static final int NULL_PEN

See Also:
  Constant Field Values

### NULL_BRUSH

    public static final int NULL_BRUSH

See Also:
  Constant Field Values

### PALETTE

    public static final int PALETTE

See Also:
  Constant Field Values

### OBJ_BITMAP

    public static final int OBJ_BITMAP

See Also:
  Constant Field Values

### OBJ_REGION

    public static final int OBJ_REGION

See Also:
  Constant Field Values

Constructor Detail

### WMFHeaderProperties

    public WMFHeaderProperties(File wmffile)
                        throws IOException

  Creates a new WMFHeaderProperties, and sets the associated WMF File.

  Parameters:
    `wmffile` - the WMF Metafile
  Throws:
    `IOException`

### WMFHeaderProperties

    public WMFHeaderProperties()

  Creates a new WMFHeaderProperties, with no associated file.

Method Detail

### closeResource

    public void closeResource()

### setFile

    public void setFile(File wmffile)
                 throws IOException

  Creates the properties associated file.

  Throws:
    `IOException`

### reset

    public void reset()

  Resets the internal storage and viewport coordinates.

  Specified by:
    `reset` in class `AbstractWMFReader`

### getStream

    public DataInputStream getStream()

  Get the associated stream.

### readRecords

    protected boolean readRecords(DataInputStream is)
                           throws IOException

  Description copied from class: `AbstractWMFReader`
  Read this InputStream records. The aldus placeable header have already been read (see `AbstractWMFReader.read(DataInputStream)`). The behavior of this method is left to the subclass.

  Each Metafile record is composed of :

  - the size of the Record in int (32 bits)
  - the function ID for the Record on a short word (16 bits)
  - the function parameters, according to the WMF Metafile specification. the remaining size in short words (16 bits) for the parameters is equal to the total size for the record minus 3 short words (= 16 + 32 bits)

  Example :

      while (functionId > 0) {
              recSize = readInt( is );
              // Subtract size in 16-bit words of recSize and functionId;
              recSize -= 3;
              functionId = readShort( is );
              if ( functionId <= 0 )
                break;
              switch ( functionId ) {
                case WMFConstants.<a WMF function ID> {
                  do something when this function is encountered
                }
                break;

                default:
                   for ( int j = 0; j < recSize; j++ )
                     readShort(is);
                break;

  Specified by:
    `readRecords` in class `AbstractWMFReader`
  Throws:
    `IOException`
  See Also:
    `WMFConstants`

### getWidthBoundsPixels

    public int getWidthBoundsPixels()

  Returns:
    the width of the Rectangle bounding the figures enclosed in the Metafile, in pixels

### getHeightBoundsPixels

    public int getHeightBoundsPixels()

  Returns:
    the height of the Rectangle bounding the figures enclosed in the Metafile, in pixels.

### getWidthBoundsUnits

    public int getWidthBoundsUnits()

  Returns:
    the width of the Rectangle bounding the figures enclosed in the Metafile, in Metafile Units.

### getHeightBoundsUnits

    public int getHeightBoundsUnits()

  Returns:
    the height of the Rectangle bounding the figures enclosed in the Metafile in Metafile Units.

### getXOffset

    public int getXOffset()

  Returns:
    the X offset of the Rectangle bounding the figures enclosed in the Metafile.

### getYOffset

    public int getYOffset()

  Returns:
    the Y offset of the Rectangle bounding the figures enclosed in the Metafile.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.